<template>
  <Layout class="dashboard">
    <Content>
      <AppDashboard />
    </Content>
    <Footer>
      <CookieLaw theme="blood-orange">
        <Row type="flex" align="middle" class="cookie-wrapper" slot-scope="props">
          <Col span="18">
          <h2 class="cookie-info">This website uses cookies to ensure you get the best experience on our website</h2>
          </Col>
          <Col span="6">
          <Row><Button class="cookie-button" @click="props.accept">Accept</Button></Row>
          <Row><Button class="cookie-button" @click="props.close">Close</Button></Row>
          </Col>
        </Row>
      </CookieLaw>
    </Footer>
  </Layout>
</template>

<script>
// import cookielaw from "vue-cookie-law"
const AppDashboard = () => import(/* webpackChunkName: "appdashboard" */ "@/components/AppDashboard")
const CookieLaw = () => import(/* webpackChunkName: "vuecookielaw" */ "vue-cookie-law")

export default {
  name: "Dashboard",
  data: () => ({
    isLoading: true
  }),
  components: {
    AppDashboard,
    CookieLaw
  }
}
</script>

<style lang="scss" scoped>
.cookie-wrapper {
  width: 100%
}
.cookie-info {
  text-align: left
}
.cookie-button {
  width: 50%;
  font-weight: bold;
}
</style>

